<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="ru">
<head>
<!-- Generated by javadoc (1.8.0_181) on Fri Apr 26 21:45:30 MSK 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>DoFete (server 1.2 API)</title>
<meta name="date" content="2019-04-26">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="DoFete (server 1.2 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":18,"i2":6,"i3":18};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"],16:["t5","Default Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/DoFete.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../ru/lanolin/lib/fete/Fete.html" title="class in ru.lanolin.lib.fete"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?ru/lanolin/lib/fete/DoFete.html" target="_top">Frames</a></li>
<li><a href="DoFete.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">ru.lanolin.lib.fete</div>
<h2 title="Interface DoFete" class="title">Interface DoFete</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../ru/lanolin/additions/Celebrate.html" title="class in ru.lanolin.additions">Celebrate</a>, <a href="../../../../ru/lanolin/lib/fete/Fete.html" title="class in ru.lanolin.lib.fete">Fete</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">DoFete</span></pre>
<div class="block">Интерфейс, описывающий действия с пользователем.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t5" class="tableTab"><span><a href="javascript:show(16);">Default Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ru/lanolin/lib/fete/DoFete.html#addParticipant-ru.lanolin.lib.human.Human-">addParticipant</a></span>(<a href="../../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human">Human</a>&nbsp;h)</code>
<div class="block">Добавить участника на мероприятие</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>default void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ru/lanolin/lib/fete/DoFete.html#addParticipants-java.util.List-">addParticipants</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human">Human</a>&gt;&nbsp;hs)</code>
<div class="block">Добавить на мероприятие множество <a href="../../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human"><code>Human</code></a></div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ru/lanolin/lib/fete/DoFete.html#leaveParticipant-ru.lanolin.lib.human.Human-">leaveParticipant</a></span>(<a href="../../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human">Human</a>&nbsp;h)</code>
<div class="block">Уйти с мероприятия</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>default void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ru/lanolin/lib/fete/DoFete.html#leaveParticipants-java.util.Vector-">leaveParticipants</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Vector.html?is-external=true" title="class or interface in java.util">Vector</a>&lt;<a href="../../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human">Human</a>&gt;&nbsp;guest)</code>
<div class="block">Убрать множество гостей с мероприятие</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="addParticipant-ru.lanolin.lib.human.Human-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addParticipant</h4>
<pre>void&nbsp;addParticipant(<a href="../../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human">Human</a>&nbsp;h)</pre>
<div class="block">Добавить участника на мероприятие</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>h</code> - <a href="../../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human"><code>Human</code></a>, которого хотят добавить на мероприятие</dd>
</dl>
</li>
</ul>
<a name="leaveParticipant-ru.lanolin.lib.human.Human-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>leaveParticipant</h4>
<pre>void&nbsp;leaveParticipant(<a href="../../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human">Human</a>&nbsp;h)</pre>
<div class="block">Уйти с мероприятия</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>h</code> - <a href="../../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human"><code>Human</code></a>, которого хотят уйти с мероприятия</dd>
</dl>
</li>
</ul>
<a name="addParticipants-java.util.List-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addParticipants</h4>
<pre>default&nbsp;void&nbsp;addParticipants(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human">Human</a>&gt;&nbsp;hs)</pre>
<div class="block">Добавить на мероприятие множество <a href="../../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human"><code>Human</code></a></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>hs</code> - <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Vector.html?is-external=true" title="class or interface in java.util"><code>Vector</code></a> содержащий объекты типа <a href="../../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human"><code>Human</code></a></dd>
</dl>
</li>
</ul>
<a name="leaveParticipants-java.util.Vector-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>leaveParticipants</h4>
<pre>default&nbsp;void&nbsp;leaveParticipants(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Vector.html?is-external=true" title="class or interface in java.util">Vector</a>&lt;<a href="../../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human">Human</a>&gt;&nbsp;guest)</pre>
<div class="block">Убрать множество гостей с мероприятие</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>guest</code> - <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Vector.html?is-external=true" title="class or interface in java.util"><code>Vector</code></a> содержащий объекты типа <a href="../../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human"><code>Human</code></a>.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/DoFete.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../ru/lanolin/lib/fete/Fete.html" title="class in ru.lanolin.lib.fete"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?ru/lanolin/lib/fete/DoFete.html" target="_top">Frames</a></li>
<li><a href="DoFete.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2019. All rights reserved.</small></p>
</body>
</html>
